Bug 61735 - Create a function __dateTimeConvert(sourceDate, dateFormat, targetFormat, varName)
Summary: Create a function __dateTimeConvert(sourceDate, dateFormat, targetFormat, var...
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 3.3
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-07 19:39 UTC by Philippe Mouawad
Modified: 2017-11-16 18:42 UTC (History)
2 users (show)



Attachments
Patch with new DateConvert function and tests (8.36 KB, patch)
2017-11-13 14:45 UTC, orimarko
Details | Diff
Patch with new DateConvert function and tests (10.00 KB, patch)
2017-11-14 06:10 UTC, orimarko
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Mouawad 2017-11-07 19:39:12 UTC
I frequently see a lot of request to convert date formats:

-https://stackoverflow.com/questions/47165086/how-to-convert-datetime-in-jmeter-using-beanshell-sampler
Comment 1 orimarko 2017-11-13 14:45:43 UTC
Created attachment 35525 [details]
Patch with new DateConvert function and tests
Comment 2 Philippe Mouawad 2017-11-13 20:56:51 UTC
Author: pmouawad
Date: Mon Nov 13 20:56:28 2017
New Revision: 1815132

URL: http://svn.apache.org/viewvc?rev=1815132&view=rev
Log:
Bug 61735 - Create a function __dateTimeConvert(sourceDate, dateFormat, targetFormat, varName)
Contributed by orimarko at gmail.com
Bugzilla Id: 61735

Added:
    jmeter/trunk/src/functions/org/apache/jmeter/functions/DateTimeConvertFunction.java   (with props)
    jmeter/trunk/test/src/org/apache/jmeter/functions/TestDateTimeConvertFunction.java   (with props)
Modified:
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
    jmeter/trunk/xdocs/changes.xml
    jmeter/trunk/xdocs/usermanual/functions.xml
Comment 3 orimarko 2017-11-14 06:10:30 UTC
Created attachment 35526 [details]
Patch with new DateConvert function and tests

Add Apache License to new classes
Comment 4 orimarko 2017-11-16 09:16:02 UTC
I Added in the attachment the Apache License to the comments at the beginning of the new classes
Comment 5 Philippe Mouawad 2017-11-16 18:42:35 UTC
Hello
You patch have already been merged with slight modifications (classes renamed among those) and I had fixed the headers.

Thanks.